package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BomanMaterial;

/**
 * 素材库Mapper接口
 * 
 * @author boman
 * @date 2023-11-20
 */
public interface BomanMaterialMapper 
{
    /**
     * 查询素材库
     * 
     * @param materialId 素材库主键
     * @return 素材库
     */
    public BomanMaterial selectBomanMaterialByMaterialId(Long materialId);

    /**
     * 查询素材库列表
     * 
     * @param bomanMaterial 素材库
     * @return 素材库集合
     */
    public List<BomanMaterial> selectBomanMaterialList(BomanMaterial bomanMaterial);

    /**
     * 新增素材库
     * 
     * @param bomanMaterial 素材库
     * @return 结果
     */
    public int insertBomanMaterial(BomanMaterial bomanMaterial);

    /**
     * 修改素材库
     * 
     * @param bomanMaterial 素材库
     * @return 结果
     */
    public int updateBomanMaterial(BomanMaterial bomanMaterial);

    /**
     * 删除素材库
     * 
     * @param materialId 素材库主键
     * @return 结果
     */
    public int deleteBomanMaterialByMaterialId(Long materialId);

    /**
     * 批量删除素材库
     * 
     * @param materialIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBomanMaterialByMaterialIds(Long[] materialIds);

    public int batchBomanMaterial(List<BomanMaterial> bomanMaterial);
}
